rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
pgpPktSigV4_s Struct Reference
OpenPGP API.

`#include <rpmpgp.h>`

## Data Fields
uint8_t | version
uint8_t | sigtype
uint8_t | pubkey_algo
uint8_t | hash_algo
uint8_t | hashlen [2]

## Detailed Description

5.2.3. Version 4 Signature Packet Format

The body of a version 4 Signature Packet contains:

- One-octet version number (4).
- One-octet signature type.
- One-octet public key algorithm.
- One-octet hash algorithm.
- Two-octet scalar octet count for following hashed subpacket data. Note that this is the length in octets of all of the hashed subpackets; a pointer incremented by this number will skip over the hashed subpackets.
- Hashed subpacket data. (zero or more subpackets)
- Two-octet scalar octet count for following unhashed subpacket data. Note that this is the length in octets of all of the unhashed subpackets; a pointer incremented by this number will skip over the unhashed subpackets.
- Unhashed subpacket data. (zero or more subpackets)
- Two-octet field holding left 16 bits of signed hash value.
- One or more multi-precision integers comprising the signature.

## Field Documentation

## ◆ hash_algo

uint8_t pgpPktSigV4_s::hash_algo

hash algorithm.

## ◆ hashlen

uint8_t pgpPktSigV4_s::hashlen[2]

length of following hashed material.

## ◆ pubkey_algo

uint8_t pgpPktSigV4_s::pubkey_algo

public key algorithm.

## ◆ sigtype

uint8_t pgpPktSigV4_s::sigtype

signature type.

## ◆ version

uint8_t pgpPktSigV4_s::version

version number (4).

The documentation for this struct was generated from the following file:

- /tmp/rpm-20240229-5467-git1p2/rpm-4.19.1.1/include/rpm/rpmpgp.h